> ## Documentation Index
> Fetch the complete documentation index at: https://www.seam.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove an ACS User from an Access Group

> Removes a specified [access system user](/low-level-apis/access-systems/user-management) from a specified [access group](/low-level-apis/access-systems/user-management/assigning-users-to-access-groups).



## OpenAPI

````yaml /openapi.json delete /acs/users/remove_from_access_group
openapi: 3.0.0
info:
  description: >-
    Programmable API to control locks, thermostats, noise sensors, cameras,
    access control systems, and other IoT devices.


    Prefer the official Seam SDKs over hand-written HTTP calls: they handle

    authentication, request serialization, pagination, and error handling for

    you. The official SDKs are listed in this document under

    `info.x-seam-sdks`.


    If you call the HTTP API directly, your query parameters must be

    serialized compatibly with the Seam API. There is no universal convention

    for serializing arrays, booleans, or nested objects in a query string, so

    use @seamapi/url-search-params-serializer, the language specific serializer
    module provided by each Seam SDK, or follow its specification:

    https://github.com/seamapi/url-search-params-serializer
  title: Seam Connect
  version: 1.0.0
  x-seam-query-serializer:
    description: >-
      Reference implementation and specification for query parameter
      serialization compatible with the Seam API.
    url: https://github.com/seamapi/url-search-params-serializer
  x-seam-sdks:
    - language: javascript
      url: https://github.com/seamapi/javascript
    - language: python
      url: https://github.com/seamapi/python
    - language: ruby
      url: https://github.com/seamapi/ruby
    - language: php
      url: https://github.com/seamapi/php
    - language: csharp
      url: https://github.com/seamapi/csharp
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/users/remove_from_access_group:
    delete:
      tags:
        - /acs
      summary: Remove an ACS User from an Access Group
      description: >-
        Removes a specified [access system
        user](/low-level-apis/access-systems/user-management) from a specified
        [access
        group](/low-level-apis/access-systems/user-management/assigning-users-to-access-groups).
      operationId: acsUsersRemoveFromAccessGroupDelete
      parameters:
        - in: query
          name: acs_user_id
          required: false
          schema:
            description: >-
              ID of the access system user that you want to remove from an
              access group. You can only provide acs_user_id or
              user_identity_id.
            format: uuid
            type: string
        - in: query
          name: user_identity_id
          required: false
          schema:
            description: >-
              ID of the user identity that you want to remove from an access
              group. You can only provide acs_user_id or user_identity_id.
            format: uuid
            type: string
        - in: query
          name: acs_access_group_id
          required: true
          schema:
            description: >-
              ID of the access group from which you want to remove an access
              system user.
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties: {}
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.users.removeFromAccessGroup({
              user_identity_id: "00ff2781-cce8-4b63-8c65-2b97647d790c",
              acs_access_group_id: "d192f395-4c68-4c33-af41-97a7df5be576",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/users/remove_from_access_group" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "user_identity_id": "00ff2781-cce8-4b63-8c65-2b97647d790c",
              "acs_access_group_id": "d192f395-4c68-4c33-af41-97a7df5be576"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.acs.users.remove_from_access_group(
                user_identity_id="00ff2781-cce8-4b63-8c65-2b97647d790c",
                acs_access_group_id="d192f395-4c68-4c33-af41-97a7df5be576",
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.acs.users.remove_from_access_group(
              user_identity_id: "00ff2781-cce8-4b63-8c65-2b97647d790c",
              acs_access_group_id: "d192f395-4c68-4c33-af41-97a7df5be576",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->users->remove_from_access_group(
                user_identity_id: "00ff2781-cce8-4b63-8c65-2b97647d790c",
                acs_access_group_id: "d192f395-4c68-4c33-af41-97a7df5be576",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs users remove-from-access-group --user_identity_id
            "00ff2781-cce8-4b63-8c65-2b97647d790c" --acs_access_group_id
            "d192f395-4c68-4c33-af41-97a7df5be576"


            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````